## ros-galactic-rcl-action 3.1.4

=== debian/changelog ===
ros-galactic-rcl-action (3.1.4-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rcl-action (3.1.3-1focal) focal; urgency=high

  * fix expired goals capacity of action server (#931 <https://github.com/ros2/rcl/issues/931>) (#958 <https://github.com/ros2/rcl/issues/958>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rcl-action (3.1.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-rcl-action (3.1.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-rcl-action (3.1.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rcl-action (3.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-rcl-action (3.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-galactic-rcl-action (2.6.0-1focal) focal; urgency=high

  * Don't expect RCL_RET_TIMEOUT to set an error string (#900 <https://github.com/ros2/rcl/issues/900>)
  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Contributors: Andrea Sorbini

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rcl-action (2.5.2-1focal) focal; urgency=high

  * Avoid setting error message twice. (#887 <https://github.com/ros2/rcl/issues/887>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 05 Feb 2021 08:00:00 -0000

ros-galactic-rcl-action (2.5.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rcl-action (2.5.0-1focal) focal; urgency=high

  * Address various clang static analysis fixes (#864 <https://github.com/ros2/rcl/issues/864>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to always check return values (#840 <https://github.com/ros2/rcl/issues/840>)
  * Update deprecated gtest macros (#818 <https://github.com/ros2/rcl/issues/818>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rcl-action (2.4.0-1focal) focal; urgency=high

  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 07:00:00 -0000

ros-galactic-rcl-action (2.3.0-1focal) focal; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Store reference to rcl_clock_t instead of copy (#797 <https://github.com/ros2/rcl/issues/797>)
  * Use valid clock in case of issue in rcl_timer_init (#795 <https://github.com/ros2/rcl/issues/795>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 07:00:00 -0000

ros-galactic-rcl-action (2.2.0-1focal) focal; urgency=high

  * Add fault injection macros and unit tests to rcl_action (#730 <https://github.com/ros2/rcl/issues/730>)
  * Change some EXPECT_EQ to ASSERT_EQ in test_action_server. (#759 <https://github.com/ros2/rcl/issues/759>)
  * Contributors: Chris Lalancette, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Sep 2020 07:00:00 -0000

ros-galactic-rcl-action (2.1.0-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>)
  * Address issue 716 by zero initializing pointers and freeing memory (#717 <https://github.com/ros2/rcl/issues/717>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-galactic-rcl-action (2.0.0-1focal) focal; urgency=high

  * Update quality declaration and coverage (#674 <https://github.com/ros2/rcl/issues/674>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 09 Jul 2020 07:00:00 -0000

ros-galactic-rcl-action (1.2.0-1focal) focal; urgency=high

  * Fixed doxygen warnings (#677 <https://github.com/ros2/rcl/issues/677>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Jun 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Address unused parameter warnings (#666 <https://github.com/ros2/rcl/issues/666>)
  * Increase test coverage of rcl_action (#663 <https://github.com/ros2/rcl/issues/663>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 May 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rcl-action (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)

