=== debian/control ===
Source: ros-galactic-rcl-action
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-action-msgs, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-osrf-testing-tools-cpp <!nocheck>, ros-galactic-rcl, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-implementation-cmake <!nocheck>, ros-galactic-rosidl-runtime-c, ros-galactic-test-msgs <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rcl-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-action-msgs, ros-galactic-rcl, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rosidl-runtime-c, ros-galactic-ros-workspace
Description: Package containing a C-based ROS action implementation
